Eclipse GEF 3.2

## org.eclipse.gef.editparts
Class ViewportExposeHelper

    java.lang.Object
      org.eclipse.gef.editparts.ViewportHelper
          org.eclipse.gef.editparts.ViewportExposeHelper

All Implemented Interfaces:
  ExposeHelper

public class ViewportExposeHelper
extends org.eclipse.gef.editparts.ViewportHelper
implements ExposeHelper

An implementation of `ExposeHelper` for use with editparts using a `Viewport`.

Since:
  2.0

Field Summary
`protected GraphicalEditPart` `owner`

Constructor Summary
`ViewportExposeHelper(GraphicalEditPart owner)` Constructs a new ViewportExposeHelper on the specified GraphicalEditPart.

Method Summary
`void` `exposeDescendant(EditPart part)` Exposes the descendant EditPart by smoothly scrolling the `Viewport`.
`protected Viewport` `findViewport(GraphicalEditPart part)`
`int` `getMaximumFrameCount()` Returns the maximumFrameCount.
`int` `getMinimumFrameCount()` Returns the minimumFrameCount.
`void` `setMargin(Insets margin)` Sets the amount of margin to be left around the descendant being exposed.
`void` `setMaximumFrameCount(int maximumFrameCount)` Sets the maximumFrameCount.
`void` `setMinimumFrameCount(int minimumFrameCount)` Sets the minimumFrameCount.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### owner

    protected GraphicalEditPart owner

Constructor Detail

### ViewportExposeHelper

    public ViewportExposeHelper(GraphicalEditPart owner)

  Constructs a new ViewportExposeHelper on the specified GraphicalEditPart. The GraphicalEditPart must have a `Viewport` somewhere between its contentsPane and its figure inclusively.

Parameters:
  `owner` - the GraphicalEditPart that owns the Viewport

Method Detail

### exposeDescendant

    public void exposeDescendant(EditPart part)

  Exposes the descendant EditPart by smoothly scrolling the `Viewport`. The smoothness is determined by the minimum and maximum frame count, and the overall amount being scrolled.

  Specified by:
    `exposeDescendant` in interface `ExposeHelper`
  Parameters:
    `part` - the descendant to expose
  See Also:
    `ExposeHelper.exposeDescendant(EditPart)`

### getMaximumFrameCount

    public int getMaximumFrameCount()

  Returns the maximumFrameCount.

  Returns:
    int

### getMinimumFrameCount

    public int getMinimumFrameCount()

  Returns the minimumFrameCount.

  Returns:
    int

### setMargin

    public void setMargin(Insets margin)

  Sets the amount of margin to be left around the descendant being exposed. There is no margin by default.

  Parameters:
    `margin` - the margin in pixels

### setMaximumFrameCount

    public void setMaximumFrameCount(int maximumFrameCount)

  Sets the maximumFrameCount.

  Parameters:
    `maximumFrameCount` - The maximumFrameCount to set

### setMinimumFrameCount

    public void setMinimumFrameCount(int minimumFrameCount)

  Sets the minimumFrameCount.

  Parameters:
    `minimumFrameCount` - The minimumFrameCount to set

### findViewport

    protected Viewport findViewport(GraphicalEditPart part)

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.